Subject: [Openv6] new APONF charter

From: <[email-masked]>
Date: Fri, 25 Jul 2014 12:03:56 +0000

Dear all,

Based on the comments that we have received we updated the APONF cahrter, see below:

APONF (Application-based Policy for Network Functions) charter

Target Area: OPS Area

Description of Working Group:

Today network operators are challenged to create an abstract view of their network infrastructure and help service developers on using and programming this abstraction rather than manipulating individual devices. An abstract view of a network infrastructure and service function interdependencies can be realized using a network service graph. A network service graph is a graph specified by a Network Service Provider that defines how one or more network services are applied to traffic flowing through a set of nodes of the graph, which includes attributes such as:

o) network topology, based on I2RS, SCF based network topologies and represented by a graph of links and nodes

o) service functions (e.g., policing function, NAT, Firewall, DNS, DHCP) and their interdependencies

o) mapping between service function (and their service function interdependencies) and network topology (similar to ALTO mapping)

o) application based policy actions: e.g., steer a traffic flow, prioritize a traffic flow, encapsulate/de-capsulate a traffic flow, block or admit a traffic flow

Network services are enhanced Operational Support System (OSS) services that help a communication service provider to monitor, control, analyze and manage a communication network. In this context, network services can be used to provide the required configuration and application programming interfaces to network service developers. Subsequently, a network service can use the service based demands and possibly update its associated network service graph.

The main goal of APONF is to provide application based policies and means to model and program the abstract view of network infrastructure and service function interdependencies in order to support and feed network management and controlling policies (e.g., dynamic network configuration, SCF classification strategies, I2RS routing strategies).
This can be realized by:

(1) modeling the network service graph, which among others include application based policies, using Yang,

(2) applying Netconf to enable dissemination of up to date (fresh) network service graphs in a secure and efficient manner between network service systems and network management and controlling systems,

(3) providing guidelines on mapping attributes of network service graphs provided by network service systems into specific network management and controlling policies.

Work items related to APONF include:

o) specify the network service graph based on Yang models

o) specify and standardize how Netconf/Yang can be used to securely and efficiently distribute up to date (fresh) network service graphs between network service systems and network management and controlling systems

o) provide guidelines for mechanisms that can dynamically map attributes, including application based policies, of network service graphs into specific network management and controlling policies, such as dynamic network configuration, SCF classification strategies, I2RS routing strategies

o) document how to use Netconf authentication and authorization mechanisms to achieve protection and isolation

The following items are out of the APONF scope:

o) specification of the network management and controlling policies and their associated device configuration models

Milestones:

    I-D 'Problem Statement and Use Cases' as an Informational RFC.

    I-D 'APONF Gap Analysis as an Informational RFC.

    I-D 'APONF Architecture' as an Informational RFC.

    I-D 'Mapping network service graphs into specific network management and controlling policies'

    I-D 'APONF Netconf/Yang Protocol Specification' Standards Track RFC.

Best regards,
Georgios